BITCOIN-CLI(1)

NAME
bitcoin-cli - a remote procedure call client for Bitcoin Core.

SYNOPSIS
bitcoin-cli [options] <command> [params] - Send command to Bitcoin Core.

bitcoin-cli [options] help - Asks Bitcoin Core for a list of supported commands.

DESCRIPTION
This manual page documents the bitcoin-cli program. bitcoin-cli is an RPC client used to send commands to Bitcoin Core.

OPTIONS

-?  Show the help message.

-conf=<file>
    Specify configuration file (default: bitcoin.conf).

-datadir=<dir>
    Specify data directory.

-testnet
    Connect to a Bitcoin Core instance running in testnet mode.

-regtest
    Connect to a Bitcoin Core instance running in regtest mode (see documentation for -regtest on bitcoind).

-rpcuser=<user>
    Username for JSON-RPC connections.

-rpcpassword=<pw>
    Password for JSON-RPC connections.

-rpcport=<port>
    Listen for JSON-RPC connections on <port> (default: 8332 or testnet: 18332).

-rpcconnect=<ip>
    Send commands to node running on <ip> (default: 127.0.0.1).

-rpcssl=1
    Use OpenSSL (https) for JSON-RPC connections (see the Bitcoin Wiki for SSL setup instructions).

SEE ALSO
bitcoind, bitcoin.conf

AUTHOR
This manual page was written by Ciemon Dunville <ciemon@gmail.com>. Permission is granted to copy, distribute and/or modify this document under the terms of the MIT License. The complete text of the MIT License can be found on the web at http://opensource.org/licenses/MIT.